API referenceWhatsApp
GET /whatsapp/calling
Calling configuration of the number
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
accountId*stringWhatsApp account id
WhatsAppCallingConfig + phoneNumberDocId
application/json- response
phoneNumber?string|nullcallingEnabled?booleancallDeepLink?string|nullforwardTo?|tel:+E164 / sip:user@host / wss://host
recordingEnabled?booleansipAuthUsername?string|nullsipAuthPasswordConfigured?booleancallIconCountries?array<any>|nulloutboundDisabled?booleancallerIdMode?stringValue in
"business""platform"callerIdVerified?booleanmaxCallDurationSeconds?integer|nullforwardCallerId?stringValue in
"business""caller"phoneNumberDocId?stringId for /phone-numbers/{id}/whatsapp/calling
curl -X GET 'https://example.com/api/v1/whatsapp/calling?accountId=string'Example Response
{ "phoneNumber": "string", "callingEnabled": true, "callDeepLink": "string", "forwardTo": "string", "recordingEnabled": true, "sipAuthUsername": "string", "sipAuthPasswordConfigured": true, "callIconCountries": [], "outboundDisabled": true, "callerIdMode": "business", "callerIdVerified": true, "maxCallDurationSeconds": 0, "forwardCallerId": "business", "phoneNumberDocId": "string"}